// creator  : weidu.exe (version 23600)
// argument : HOUSG3.DLG
// game     : .
// source   : ./override/HOUSG3.DLG
// dialog   : lang\en_us/dialog.tlk
// dialogF  : (none)

BEGIN ~HOUSG3~

IF ~  OR(3)
StateCheck(Myself,STATE_CHARMED)
IsGabber("SKIE")
IfValidForPartyDialogue("SKIE")
~ THEN BEGIN 0 // from:
  SAY #7455 /* ~I'm a mercenary. My job isn't to be smart, it's to guard this estate.~ */
  IF ~~ THEN EXIT
  IF ~  OR(2)
Global("X#KagainCaravan","GLOBAL",5)
PartyHasItem("X#SILSH")
~ THEN REPLY #47949 /* ~We bring news for Lord and Lady Silvershield. We believe that we have found news of their son. Any chance this pin is one of yours?~ */ GOTO 7
END

IF ~  NumberOfTimesTalkedTo(0)
~ THEN BEGIN 1 // from:
  SAY #7445 /* ~You there! What are you doing in the estate of Entar Silvershield?~ */
  IF ~  ReactionGT(LastTalkedToBy,NEUTRAL_UPPER)
~ THEN REPLY #7450 /* ~We're here because we have dealings to discuss with Entar Silvershield. My associates and I have come all the way from Waterdeep. Perhaps you could leave us to our business now?~ */ GOTO 5
  IF ~  ReactionLT(LastTalkedToBy,FRIENDLY_LOWER)
~ THEN REPLY #7451 /* ~We're here because we have dealings to discuss with Entar Silvershield. My associates and I have come all the way from Waterdeep. Perhaps you could leave us to our business now?~ */ GOTO 6
  IF ~~ THEN REPLY #7452 /* ~I am an art collector. I am here to collect some marble statuettes that I purchased a week past. My companions are here to help me carry them out.~ */ GOTO 3
  IF ~~ THEN REPLY #7453 /* ~We're members of the Flaming Fist. There has been some worry about the security of Entar's estate. We're here to ensure his safety.~ */ GOTO 3
  IF ~~ THEN REPLY #7454 /* ~I don't know.~ */ GOTO 4
END

IF ~~ THEN BEGIN 2 // from:
  SAY #9260 /* ~You're not welcome here! Get out or be thrown out!~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 3 // from: 1.3 1.2
  SAY #7448 /* ~Your lies won't save you, robbers! Defend yourselves!~ */
  IF ~~ THEN DO ~Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 4 // from: 1.4
  SAY #7449 /* ~You don't know?! You're obviously all crazies that need to be put down.~ */
  IF ~~ THEN DO ~Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 5 // from: 1.0
  SAY #7446 /* ~All right then, carry on.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 6 // from: 1.1
  SAY #7447 /* ~We haven't heard of this. You look more like thieves to me, and you'll be treated as such.~ */
  IF ~~ THEN DO ~Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 7 // from: 0.1
  SAY #47950 /* ~I see that you have the household Sigil. Please go to meet Lady Silvershield directly. You can find her upstairs.~ */
  IF ~~ THEN EXIT
END
